Subject: Volunteers Wanted
From: [email-masked] (Ross Biro)
Date: Tue, 11 May 1993 08:23:43 GMT
Newsgroups: comp.os.linux.announce

I'm looking for volunteers to provide "email support" to
the Linux community.  If you would like to help, it should not require
too much of your time.  Read the rest of this message and respond.
Please note that I'm not intending to replace the mailing lists
(In fact they are an integral part of the system) or comp.os.linux,
but just reduce the number of FAQS posted.

	If you are really willing to deal with all the FAQS, basically
what you need to do is either get a special email address, or a filter
on your current email address.  Then install some perl scripts, shell
scripts, and one emacs .el file.  The way things will work is
basically this.

	Mail will be sent to linux-bugs (this may change to
linux-support) will be scanned for keywords and then if it looks like
an appropriate problem it will be forwarded to you, where it must be
saved in a file (deliver or a shell script should be able to do this)
and then periodically a perl script must be run on all the new mail.
The perl script checks keywords against a weighted list (part of your
job will be to assign the weights and keywords) if it looks like it's
a faq, it will auto-reply.  If not the message will be moved to
another directory for you to deal with (It will also be forwarded to a
currently unspecified mailing list).  You will need to run emacs on the
new directory to read the bug reports.  The emacs .el file adds a
"b" command to dired which treats a file as a bug report, and starts
up rmail on it.  You will have all the rmail options plus 3 more:

	"R" - Reply and assign a problem report number to it.  You will
		be prompted for keywords and weights.  The message with
		your reply will be saved and entered in the database.

	"F" - Forward and assign a problem report number.  This will
		move the message to a pending directory and let you
		forward it to whoever you want.  The message will also
		be sent to the appropriate channel on the mailing list.

	"S" - Save (do this with replies to "F") will save the answer, assign
		a problem report number to it (It attempts to get the one
		out of the header from "F".)  You will be prompted for
		keywords and weights.

There is also a global function which will prompt you for a keyword and
display all the FAQS associated with it.

	Basically your job will be to nicely answer anything that
makes it through the keyword search (you will be able to call up the
FAQS with out too much trouble.)  If things get misdirected to you
(I.E.  it's a DOSEMU question and you deal with GCC) forward it to the
correct person, and finally if you can't answer the question (It's
better to err on the side of not answering) to forward it to someone
you think can (It will also go to a mailing list, so the odds of it
getting answered are very good.)  You also will be responsible for
maintaining the FAQ database for your use, and assigning weights to
the keywords.  I hope to have multiple people for every topic so that
the load on any one is not too high.  If you volunteer and the load
gets high enough to be annoying let me know, and I'll try to find
someone else to help.  One of the problems, however, will be making
sure people know what they are talking about.

	The scripts are all written in sh/perl/emacs lisp.  I'm new
at all of those, so I'm sure there is a lot of room for improvement
in all the code.  However I would like to get a test setup running
sometime next week, so improvements to the code will come later.

	The purpose is to organize the anarchy we currently have,
keeping all the good parts (every one can contribute ideas answer
problems etc.) plus give everyone a central place they can send there
problems without worrying if it's bad enough to disturb Linus with or
even if he's the right person.  We should encourage people to use this
along with comp.os.linux and the mailing lists.  It also gives
everyone who's really working on Linux and easy way to check if
something needs their attention.  If it comes through linux-bugs and
gets to them, odds are they should take a good look at it.

	We've just finished preliminary testing, and are ready to set
up and go on-line.  This does not mean all the bugs and kinks are
worked out, but that the system seems workable.  Right now we need 
about 20-30 people, and perhaps more if the load on any individual
gets to be more than 2-3 messages a day.

Ross Biro [email-masked] 
Member League for Programming Freedom (LPF)
mail [email-masked] to protect your Freedom